import { j as e } from "../../node_modules/react/jsx-runtime.mjs";
import { useState as r, useEffect as b } from "react";
import { isMobile as c } from "../../node_modules/react-device-detect/dist/lib.mjs";
import j from "../../components/BitzLogo/index.mjs";
import z from "../../components/BitzAvatar/index.mjs";
import S from "../../components/BitzFullScreen/index.mjs";
import C from "../../assets/images/logo.png.mjs";
import f from "../../assets/images/language/cn.svg.mjs";
import L from "../../assets/images/language/gb.svg.mjs";
import B from "../../assets/images/language/jp.svg.mjs";
import w from "../../assets/images/language/kr.svg.mjs";
import g from "../../node_modules/i18next/dist/esm/i18next.mjs";
import "../../store/layoutStore.mjs";
import O from "../../store/languageStore.mjs";
import T from "../../components/BitzBreadCrumb/index.mjs";
import _ from "../../components/BitzSetting/index.mjs";
import R from "../../components/BitzPreferences/index.mjs";
import { showMessage as $ } from "../../utils/message.mjs";
import { BitzTimer as E } from "../../components/BitzTimer/index.mjs";
import H from "../../assets/iconfont/index.mjs";
import "./index.less.mjs";
import { useTranslation as v } from "../../node_modules/react-i18next/dist/es/useTranslation.mjs";
import M from "../../node_modules/antd/es/layout/index.mjs";
import N from "../../node_modules/antd/es/modal/index.mjs";
import P from "../../node_modules/@ant-design/icons/es/icons/ExclamationCircleOutlined.mjs";
const { Header: D } = M, F = (p) => {
  const { t: o } = v(), [u, i] = r(!1), [h, a] = r(!0), { language: n = "", setLanguage: K = () => {
  } } = O(), [l, t] = r(!1), [d, m] = r(!1);
  b(() => {
    g.loadLanguages(n).then(() => {
      g.changeLanguage(n);
    }), a(!1), setTimeout(() => {
      a(!0);
    }, 10);
  }, [n]);
  const y = (s) => {
    switch (s) {
      case "logout":
        N.confirm({
          title: `${o("System_KindReminder", "温馨提示")}`,
          icon: /* @__PURE__ */ e.jsx(P, {}),
          content: `${o("System_SureLogOut", "是否确认退出登录？")}`,
          okText: `${o("System_Deter", "确认")}`,
          cancelText: `${o("System_Cancel", "取消")}`,
          onOk: () => {
            localStorage.clear(), $("success", `${o("System_LoggedOut", "退出登录成功")}`), window.location.reload();
          }
        });
        break;
      case "preferences":
        t(!1), m(!0);
        break;
    }
  }, x = [
    { label: "账户管理", key: "account", icon: "zhanghuguanli" },
    { label: "偏好设置", key: "preferences", icon: "setting" },
    { label: "个人中心", key: "personal", icon: "geren" },
    { label: "修改密码", key: "password", icon: "xiugaimima" },
    { label: "登录日志", key: "entryLog", icon: "he_33caozuorizhi" },
    { label: "操作指引", key: "guide", icon: "zhiyin" },
    { label: "系统帮助", key: "help", icon: "bangzhu" },
    { label: "锁屏", key: "lock", icon: "suoping" },
    { label: "注销", key: "logout", icon: "zhuxiao" }
  ], k = [
    { label: "简体中文", key: "CHS", icon: f },
    { label: "Enlish", key: "ENG", icon: L },
    { label: "日本语", key: "JP", icon: B },
    { label: "한국어", key: "KR", icon: w },
    { label: "繁体中文", key: "CHT", icon: f }
  ];
  return /* @__PURE__ */ e.jsxs(e.Fragment, { children: [
    /* @__PURE__ */ e.jsxs(D, { ...p, children: [
      /* @__PURE__ */ e.jsx("div", { className: "headerLeft", children: /* @__PURE__ */ e.jsx(j, { logo: C }) }),
      /* @__PURE__ */ e.jsxs("div", { className: "headerRight", children: [
        !c && h && /* @__PURE__ */ e.jsx(T, {}),
        !c && /* @__PURE__ */ e.jsx(S, {}),
        /* @__PURE__ */ e.jsx(
          H,
          {
            color: "#333",
            size: 24,
            name: "naozhong",
            style: { cursor: "pointer", marginRight: "20px" },
            onClick: () => {
              t(!1), i((s) => !s);
            }
          }
        ),
        /* @__PURE__ */ e.jsx(
          z,
          {
            onClick: () => {
              i(!1), t(!l);
            }
          }
        ),
        /* @__PURE__ */ e.jsx(
          _,
          {
            open: l,
            onClose: () => {
              t(!1);
            },
            handleList: y,
            settingData: x,
            languageData: k
          }
        )
      ] }),
      /* @__PURE__ */ e.jsx(
        R,
        {
          open: d,
          onClose: () => {
            m(!1);
          }
        }
      )
    ] }),
    /* @__PURE__ */ e.jsx(
      E,
      {
        show: u,
        hide: () => {
          i(!1);
        }
      }
    )
  ] });
}, pe = F;
export {
  pe as default
};
